﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Windows.Themes;
using Infragistics.Windows.DataPresenter;

namespace testGridCollection
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        ObservableCollection<DemoCustomer> customers;
        ObservableCollection<Cars> cars = new ObservableCollection<Cars>();
        public Window1()
        {


            InitializeComponent();
            customers = new ObservableCollection<DemoCustomer>();
            cars.Add(new Cars("Car1", "Blue"));
            cars.Add(new Cars("Car2", "Black"));
            cars.Add(new Cars("Car3", "Green"));
            cars.Add(new Cars("Car4", "Red"));
            cars.Add(new Cars("Car5", "Orange"));
            customers.Add(new DemoCustomer("Alex", "2222222", cars));
            customers.Add(new DemoCustomer("Peter", "2352222", cars));
            customers.Add(new DemoCustomer("George", "22423222", cars));
            customers.Add(new DemoCustomer("Dimitri", "228672222", cars));
            customers.Add(new DemoCustomer("John", "222675622", cars));

            xamDataGrid1.DataSource = customers;
        }

        #region Customer Class
        public class Cars
        {

            public string Color
            { get; set; }
            public string Model
            { get; set; }
            public Cars(string model, string color)
            {
                Model = model;
                Color = color;
            }

        }
        public class DemoCustomer : INotifyPropertyChanged
        {
            private Guid idValue = Guid.NewGuid();
            private string customerNameValue = String.Empty;
            private string phoneNumberValue = String.Empty;
            private ObservableCollection<Cars> customerCars;

            public event PropertyChangedEventHandler PropertyChanged;

            private void NotifyPropertyChanged(String info)
            {
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs(info));
                }
            }
            public DemoCustomer(string name, string number, ObservableCollection<Cars> cars)
            {
                this.CustomerName = name;
                this.PhoneNumber = number;
                this.CustomerCars = cars;
            }
            private DemoCustomer()
            {
                customerNameValue = "Customer";
                phoneNumberValue = "(555)555-5555";
            }
            public ObservableCollection<Cars> CustomerCars
            {
                get { return customerCars; }
                set { customerCars = value; }
            }

            public static DemoCustomer CreateNewCustomer()
            {
                return new DemoCustomer();
            }

            public Guid ID
            {
                get
                {
                    return this.idValue;
                }
            }

            public string CustomerName
            {
                get
                {
                    return this.customerNameValue;
                }

                set
                {
                    if (value != this.customerNameValue)
                    {
                        this.customerNameValue = value;
                        NotifyPropertyChanged("CustomerName");
                    }
                }
            }

            public string PhoneNumber
            {
                get
                {
                    return this.phoneNumberValue;
                }

                set
                {
                    if (value != this.phoneNumberValue)
                    {
                        this.phoneNumberValue = value;
                        NotifyPropertyChanged("PhoneNumber");
                    }
                }
            }
        }
        #endregion


        private void button3_Click(object sender, RoutedEventArgs e)
        {


            RecordCollectionBase recordCollection = xamDataGrid1.Records; foreach (Record rec in recordCollection)
            {

                if (rec.Index == xamDataGrid1.Records.Count-1)
                {

                    DataRecordPresenter.FromRecord(rec).Background = new LinearGradientBrush(Colors.Azure, Colors.CadetBlue, 45);
                }

            }
        }
    }
}